package sit;

import java.awt.*;
import java.util.*;
import javax.swing.JPanel;

/**
 * Tda obsahujc karty ped jednotlivmi hri.
 * @author Ondej Papk
 *
 */
public class Hrac extends JPanel{
	/**
	 * ID pro serializaci
	 */
	private static final long serialVersionUID = 783257489975125479L;
	/**
	 * Jednotliv oblasti. Klem je nzev oblasti a hodnotou je JPanel s oblast.
	 */
	public Map<String, JPanel> panely=new HashMap<String, JPanel>();
	
	/**
	 * Konstruktor
	 */
	public Hrac(){
		this.setLayout(new GridBagLayout());
		this.setBackground(Color.GREEN);
	}
	
	/**
	 * Vlo do tohoto panelu stejn daje jako v zadanm.
	 * @param hr panel s daji k pekoprovn.
	 */
	public void copy(Hrac hr){
		for(String i:hr.panely.keySet()){
			JPanel panel=new JPanel(new FlowLayout());
			panel.setBackground(Color.GREEN);
			GridBagConstraints c=((GridBagLayout)hr.getLayout()).getConstraints(hr.panely.get(i));
			this.add(panel, c);
			panely.put(i, panel);
		}
	}
	
	/**
	 * Vlo novou komponentu.
	 * @param nazev jmno komponenty
	 * @param x umstn
	 * @param y umstn
	 * @param ver uruje jestli se jedn o veejn
	 */
	public void vloz(String nazev, int x,int y){
		JPanel panel=new JPanel(new FlowLayout());
		panel.setBackground(Color.GREEN);
		GridBagConstraints c=new GridBagConstraints();
		c.gridx=x;
		c.gridy=y;
		this.add(panel, c);
		panely.put(nazev, panel);
	}
}
